package com.purui.prims.headless.server.service;


import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.headless.api.pojo.request.DecoratorReq;
import com.purui.prims.headless.api.pojo.response.DecoratorResp;

import java.util.List;

public interface DecoratorService {

    boolean saveOrUpdate(DecoratorReq decoratorReq, User user);

    void delete(Integer id);

    List<DecoratorResp> getDecorators(DecoratorReq decoratorReq);

    DecoratorResp getDecorator(Integer id);

}
